Bug 1564647 - VMDB backup is failing perhaps due to uninitialized constant MiqServer::WorkerManagement::Monitor::Dalli
Summary: VMDB backup is failing perhaps due to uninitialized constant MiqServer::Worke...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.9.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.10.0
Assignee: Joe Rafaniello
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On:
Blocks: 1578126
TreeView+ depends on / blocked
 
Reported: 2018-04-06 19:09 UTC by Tuan
Modified: 2019-02-11 14:02 UTC (History)
12 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1578126 (view as bug list)
Environment:
Last Closed: 2019-02-11 14:02:05 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Comment 3 Joe Rafaniello 2018-04-09 21:27:37 UTC
Tuan,

1) I'm not seeing this log line:

https://github.com/ManageIQ/manageiq/blob/gaprindashvili/app/models/miq_schedule_worker/runner.rb#L383

"Reloading schedule:..." in any of the logs provided.

This indicates that the schedule worker didn't "see" the updated schedule, either because it wasn't save properly or maybe because it isn't enabled.


2) Note, the "uninitialized constant MiqServer::WorkerManagement::Monitor::Dalli" error might be unrelated but I think I see where that is coming from so I'll have a fix for that, but, you should be able to temporarily try something to eliminate that error from UI appliances and see if the schedule still doesn't run:

Change the UI appliances from:
session_store: sql

to:
session_store: cache

in the advanced settings and save.


If they still aren't getting the schedule to run to do the backup after changing the session_store, please provide logs and possibly the miq_schedules table.

A few thing to check in the schedule editor:
1) is it enabled?
2) when it gets saved, is the updated_at column for the schedule in the miq_schedules table updated to reflect the current time?

Comment 5 CFME Bot 2018-04-10 13:30:52 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/52e525d35f771aaac6fa4b77e7b24a7abc4dee7e
commit 52e525d35f771aaac6fa4b77e7b24a7abc4dee7e
Author:     Joe Rafaniello <jrafanie@redhat.com>
AuthorDate: Mon Apr  9 17:31:25 2018 -0400
Commit:     Joe Rafaniello <jrafanie@redhat.com>
CommitDate: Mon Apr  9 17:31:25 2018 -0400

    Require dalli before using it

    https://bugzilla.redhat.com/show_bug.cgi?id=1564647

    Note, we require dalli in the session_store.rb only if you're configured
    for session_store: cache.  If you specify, 'sql', dalli doesn't get
    required, and these two code paths could hit a NameError.

 app/models/miq_server/worker_management/monitor.rb | 1 +
 app/models/miq_worker/runner.rb | 1 +
 2 files changed, 2 insertions(+)

Comment 6 CFME Bot 2018-04-10 13:32:02 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/52e525d35f771aaac6fa4b77e7b24a7abc4dee7e
commit 52e525d35f771aaac6fa4b77e7b24a7abc4dee7e
Author:     Joe Rafaniello <jrafanie@redhat.com>
AuthorDate: Mon Apr  9 17:31:25 2018 -0400
Commit:     Joe Rafaniello <jrafanie@redhat.com>
CommitDate: Mon Apr  9 17:31:25 2018 -0400

    Require dalli before using it

    https://bugzilla.redhat.com/show_bug.cgi?id=1564647

    Note, we require dalli in the session_store.rb only if you're configured
    for session_store: cache.  If you specify, 'sql', dalli doesn't get
    required, and these two code paths could hit a NameError.

 app/models/miq_server/worker_management/monitor.rb | 1 +
 app/models/miq_worker/runner.rb | 1 +
 2 files changed, 2 insertions(+)

Comment 7 Joe Rafaniello 2018-04-10 14:51:33 UTC
Hi Tuan, I'm going to rename this BZ based on the "uninitialized constant MiqServer::WorkerManagement::Monitor::Dalli" error and put it in POST so we can ship that fix.  I don't know if it will fix the schedule not running problem. 

Please see comment 3 and open a new BZ if this is still a problem after "working around" the Dalli error as described in that comment.

Comment 8 Tuan 2018-04-18 17:46:39 UTC
Hello Joe, 
        Changing the UI appliance to session_store: cache seemed to work. Their backups have been going through as scheduled.

Comment 10 Tasos Papaioannou 2018-07-26 19:24:50 UTC
Verified on 5.10.0.4.


Note You need to log in before you can comment on or make changes to this bug.